#
# spec file for package elementary-icon-theme
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 4.x
Name:           elementary-icon-theme
Version:        4.1.0
Release:        1.1
Summary:        Simple and appealing Tango-styled icon theme
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://launchpad.net/elementaryicons
Source:         https://launchpad.net/elementaryicons/%{_version}/%{version}/+download/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM elementary-icon-theme-chmod.patch mailaender@opensuse.org -- https://github.com/elementary/icons/pull/130
Patch0:         elementary-icon-theme-chmod.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildArch:      noarch

%description
The official Elementary icons are designed to be simple and appealing,
these icons are the inspiration behind Ubuntu's default Humanity icon theme.

%prep
%setup -q
%patch0 -p1

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_datadir}/icons/elementary/
cp -rf * %{buildroot}%{_datadir}/icons/elementary/

# Remove duplicates.
rm -f %{buildroot}%{_datadir}/icons/elementary/{AUTHORS,CONTRIBUTORS,COPYING}

%icon_theme_cache_create_ghost elementary
%fdupes %{buildroot}%{_datadir}/icons/

%post
%icon_theme_cache_post elementary

# No need for %%icon_theme_cache_postun in %%postun since the theme won't exist anymore.

%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS COPYING
%{_datadir}/icons/elementary/
%ghost %{_datadir}/icons/elementary/icon-theme.cache

%changelog
* Wed May 17 2017 avvissu@yandex.by
- Update to 4.1.0:
  * name 24px display brightness icon correctly (#219)
  * name 24px display brightness icon correctly
  * and 16px
  * Improve Terminal glyph (#218)
  * 64px and 128px
  * finish up
  * Symlink meson mime to make file mime (#216)
  * Symlink meson mime to make file mime
  * revert unintentional changes
  * Add 24px brightness-display-symbolic (#213)
  * Add 24px brightness-display-symbolic
  * redraw larger
  * Update notification-disabled shape (#212)
  * make notification icons rounder, real big bubble (#206)
  * Match 48px color batteries with symbolic (#211)
  * remove lightning from fully charged state (#209)
  * All slashies now go NW/SE (#208)
  * Symbolic battery: Vertical lightning, 16px (#207)
  * vertical lightning and update 16px battery icons
  * remove sneaky sneaks
  * moved batteries 1px right; updated large symbolic icon (#205)
  * redesign 24px symbolic battery icons (#204)
  * redesign 24px symbolic battery icons
  * delete some icons that snuck in
  * slashies to the right
  * remove random shit
  * Make 48px lock screen icon match 32px (#203)
  * add 24px variants of icons used for privacy indicator (#202)
  * Make the bubble on notification-new-symbolic larger (#201)
  * Add 48px preferences-desktop-display (#200)
  * add symlinks for text-csv (#197)
  * Add 32, 48, 64, 128 insert-link
  * Add 24 32 64 and symbolic drive-removable-media-usb
* Tue Mar 21 2017 avvissu@yandex.by
- Update to version 4.0.3:
  * Make AppCenter icon fill the canvas at 48px (#193)
  * Make AppCenter icon fill the canvas at 48px
  * less gloss on window
  * Update AppCenter icon purple (#192)
  * adjust purple for other sizes
  * New "less generic" software center icon (#83)
  * new software center icon
  * update symbolic icon
  * add symbolic translation icons (#187)
  * add bug icon (#186)
  * add missing network icon (#185)
  * add missing network icon
  * add other missing 24px icons
  * add 32px find-location (#183)
  * Redesign document-open-recent (#182)
  * 32px document-open-recent
  * 16 and 24px versions
  * right angle arrow at 16px
  * add 32px lock screen icon (#173)
  * add 32px lock screen icon
  * switch out metal for slate
  * firewall icon
  * added flame centre
  * add 24px secure network icons (#180)
  * add find-location in 48px (#179)
  * add slashes to things (#176)
  * clean up 24px symbolic mic and resize to 16 (#175)
  * add background to empty symbolic battery icons for more
    presence (#172)
* Fri Jan 20 2017 avvissu@yandex.by
- Update to version 4.0.2:
  * add 16px and 24px installer (#168)
  * adds a pager icon (#166)
  * drop gpm-* and gsm-* icon names (#164)
  * added audio-testing icons (#163)
  * added audio-testing icons
  * adjusted sound wave width
  * fixed front-right
  * update app default icon to use gear shape from mimes (#143)
  * update app default icon to use gear shape from mimes
  * make 64px gear larger
  * redo full-charged (#160)
  * add horizontal symbolic view more (#161)
  * 24 mic symbolic (#157)
  * 24px micrphone icon
  * fit to grid
  * make 128 avatar consistent (#156)
  * add 32px phone (#155)
  * added rtl mimetype icons (#154)
  * added rtl mimetype icons
  * added missing office-document-rtl icons
  * removed script rtl icons
  * added missing link
  * added 64 text-rtl et al
  * added missing -rtl variants (#153)
  * fix border for 32px mouse icon (#149)
  * add a 48px battery charged icon (#150)
  * Network icons (#151)
  * add secure cellular network icons
  * add secured wired network icon
  * update the 128px help-contents icon (#146)
* Fri Dec  2 2016 avvissu@yandex.by
- Update to version 4.0.1.1:
  * Fingerprint (#135)
  * improved process-completed-symbolic (#121)
  * improved fingerprint symbolic (#136)
  * add system-os-install and symlink ubiquity (#138)
  * redesigned edit-copy-symbolic (#141)
  * make the arrow less bulky and gross (#142)
  * update the 128px help-contents icon (#146)
  * Network icons (#151)
  * add a 48px battery charged icon (#150)
  * fix border for 32px mouse icon (#149)
* Sat Sep 10 2016 mailaender@opensuse.org
- Update to version 4.0.1:
  * No changelog available.
- Add elementary-icon-theme-chmod.patch from
  https://github.com/elementary/icons/pull/130
* Thu Aug 20 2015 sor.alexei@meowr.ru
- Update to 3.2.2.
* Sat May 16 2015 mailaender@opensuse.org
- update to 3.2.1
* Tue Dec  3 2013 sor.alexei@meowr.ru
- Update to 3.1.
* Mon May 20 2013 damianatorrpm@gmail.com
- Rebuild.
